core::dbus::Codec< com::lomiri::location::SpaceVehicle > Struct Reference

`#include <codec.h>`

Collaboration diagram for core::dbus::Codec< com::lomiri::location::SpaceVehicle >:

## Static Public Member Functions

static void | encode_argument (Message::Writer &writer, const com::lomiri::location::SpaceVehicle &in)
static void | decode_argument (Message::Reader &reader, com::lomiri::location::SpaceVehicle &in)

## Detailed Description

Definition at line 272 of file codec.h.

## Member Function Documentation

## decode_argument()

void core::dbus::Codec< com::lomiri::location::SpaceVehicle >::decode_argument | ( | Message::Reader & | reader,
|  | com::lomiri::location::SpaceVehicle & | in )

inline static

Definition at line 289 of file codec.h.

References com::lomiri::location::SpaceVehicle::azimuth, decode_argument(), com::lomiri::location::SpaceVehicle::elevation, com::lomiri::location::SpaceVehicle::has_almanac_data, com::lomiri::location::SpaceVehicle::has_ephimeris_data, com::lomiri::location::SpaceVehicle::key, com::lomiri::location::SpaceVehicle::snr, and com::lomiri::location::SpaceVehicle::used_in_fix.

Referenced by decode_argument().

Here is the call graph for this function:

## encode_argument()

void core::dbus::Codec< com::lomiri::location::SpaceVehicle >::encode_argument | ( | Message::Writer & | writer,
|  | const com::lomiri::location::SpaceVehicle & | in )

inline static

Definition at line 274 of file codec.h.

References com::lomiri::location::SpaceVehicle::azimuth, com::lomiri::location::SpaceVehicle::elevation, encode_argument(), com::lomiri::location::SpaceVehicle::has_almanac_data, com::lomiri::location::SpaceVehicle::has_ephimeris_data, com::lomiri::location::SpaceVehicle::key, com::lomiri::location::SpaceVehicle::snr, and com::lomiri::location::SpaceVehicle::used_in_fix.

Referenced by encode_argument().

Here is the call graph for this function:

The documentation for this struct was generated from the following file:

- codec.h